Page MenuHomePhabricator

Provide an option for ignoring combining characters when searching
Closed, DeclinedPublic

Description

For example, searching for "soe-ek" will not find "sóe-e̍k", presumably because of the U+030D over the e (→e̍). Searching for o-ji-sang also doesn't find o͘-jí-sáng (note the U+0358 over the o: o͘ ) (although searching for o ji sang works, but notice that the o͘ is not highlighted in yellow)

Event Timeline

Suzukaze-c raised the priority of this task from to Low.
Suzukaze-c updated the task description. (Show Details)
Suzukaze-c added a subscriber: Suzukaze-c.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 9 2016, 10:27 PM
Suzukaze-c updated the task description. (Show Details)Jan 9 2016, 10:28 PM
Suzukaze-c set Security to None.
Nnemo awarded a token.Jan 10 2016, 6:27 AM
Nnemo added a subscriber: Nnemo.
Krenair added a subscriber: Krenair.
Restricted Application added a project: Discovery. · View Herald TranscriptJan 10 2016, 7:34 AM
Suzukaze-c updated the task description. (Show Details)Jan 26 2016, 7:50 PM
EBernhardson moved this task from Needs triage to Search on the Discovery board.Feb 11 2016, 11:24 PM

It seems that some change in the meantime has eliminated the problems presented in the original report.

Restricted Application added a project: Discovery-Search. · View Herald TranscriptJun 2 2017, 12:47 AM
debt closed this task as Declined.Jun 8 2017, 5:11 PM
debt added a subscriber: debt.

Looks like this was already fixed, declining.

TJones added a subscriber: TJones.Jun 27 2017, 9:10 PM

D'oh! Deb beat me to it by a few weeks. I came here from T132637 and yep, it looks fixed now.

debt awarded a token.Jun 28 2017, 5:50 PM